Subject: Re: bug#35222: 26.1; `read-command' documentation

From: Noam Postavsky <[email-masked]>
Date: Wed, 10 Apr 2019 18:24:14 -0400

On Wed, 10 Apr 2019 at 18:14, Drew Adams <[email-masked]> wrote:
>
> 1. The doc string does not say what happens if DEFAULT is not provided
>    (so `nil') and the user enters empty input.  And what happens is not
>    obvious.  Please add that information to the doc string.

Um, can we declare the current behaviour a bug, and instead return nil
in this case? That matches the current doc string (i.e., return
DEFAULT-VALUE), and avoids the whole mess with the empty string symbol
which is weird and pretty useless as far as I can tell.